## com.vividsolutions.jts.noding
Class OrientedCoordinateArray

    java.lang.Object
      com.vividsolutions.jts.noding.OrientedCoordinateArray

All Implemented Interfaces:
  java.lang.Comparable

public class OrientedCoordinateArray
extends java.lang.Object
implements java.lang.Comparable

Allows comparing `Coordinate` arrays in an orientation-independent way.

Version:
  1.7
Author:
  Martin Davis

Constructor Summary
`OrientedCoordinateArray(Coordinate[] pts)` Creates a new `OrientedCoordinateArray` for the given `Coordinate` array.

Method Summary
`int` `compareTo(java.lang.Object o1)` Compares two `OrientedCoordinateArray`s for their relative order

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrientedCoordinateArray

    public OrientedCoordinateArray(Coordinate[] pts)

  Creates a new `OrientedCoordinateArray` for the given `Coordinate` array.

Parameters:
  `pts` - the coordinates to orient

Method Detail

### compareTo

    public int compareTo(java.lang.Object o1)

  Compares two `OrientedCoordinateArray`s for their relative order

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Returns:
    -1 this one is smaller